Name:           gvrpcd
Version:        1.3
Release:        4%{?dist}
Summary:        A program for announcing VLANs using GVRP

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://sokrates.mimuw.edu.pl/~sebek/gvrpcd/
Source0:        http://sokrates.mimuw.edu.pl/~sebek/%{name}/%{name}-%{version}.tar.gz
Patch0:         gvrpcd-fedora.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libnet-devel

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
# This is for /sbin/service
Requires(preun): /sbin/service


%description
gvrpcd implements end-node GVRP functionality as a user-space daemon.
It generates periodically GVRP "JOIN" packets with information about
VLANs that server has defined on given NIC, or more generically - that it
wants to be able to connect to.


%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add gvrpcd


%preun
if [ $1 = 0 ] ; then
    /sbin/service gvrpcd stop >/dev/null 2>&1
    /sbin/chkconfig --del gvrpcd
fi


%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf $RPM_BUILD_ROOT
install -p -D -m0755 gvrpcd $RPM_BUILD_ROOT%{_sbindir}/gvrpcd
install -p -D -m0755 gvrpcd-fedora.init $RPM_BUILD_ROOT%{_initrddir}/gvrpcd
install -p -D -m0644 gvrpcd-fedora.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/gvrpcd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_sbindir}/gvrpcd
%{_initrddir}/gvrpcd
%config(noreplace) %{_sysconfdir}/sysconfig/gvrpcd


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Jasper Capel <jasper@fedoraproject.org> - 1.3-2
- Depend on /sbin/service and /sbin/chkconfig instead of initscripts and
  chkconfig.
* Thu May 14 2009 Jasper Capel <jasper@fedoraproject.org> - 1.3-1
- Release bump
* Wed May 13 2009 Jasper Capel <jasper@fedoraproject.org> - 1.2-3
- Included Jeroen van Meeuwen's patch to eliminate a compiler-time warning
* Sat Apr 18 2009 Jasper Capel <jasper@fedoraproject.org> - 1.2-2
- Corrected source URL
- Fixed typo in initscript description
- Fail with the "config missing" error code if /proc/net/vlan/config does not exist.
* Fri Apr 03 2009 Jasper Capel <jasper@fedoraproject.org> - 1.2-1
- Release bump
- Init script is now multiple interfaces aware
* Tue Mar 03 2009 Jasper Capel <jasper@fedoraproject.org> - 1.1-3
- Added a Fedora-compliant init-script
- Fixed sysconfig-file permissions
* Wed Feb 25 2009 Jasper Capel <jasper@fedoraproject.org> - 1.1-2
- Preserve timestamps when installing files
- Use global compiler flags
* Tue Feb 24 2009 Jasper Capel <jasper@fedoraproject.org> - 1.1-1
- Initial build

